
From: <ffrederick@prov-liege.be>

The special_file() macro is being duplicated in JFS.  Move it to fs.h.


 25-akpm/fs/jfs/inode.c     |    3 ---
 25-akpm/fs/open.c          |    3 +--
 25-akpm/include/linux/fs.h |    2 ++
 3 files changed, 3 insertions(+), 5 deletions(-)

diff -puN fs/jfs/inode.c~special_file-move fs/jfs/inode.c
--- 25/fs/jfs/inode.c~special_file-move	Wed Jul 30 14:16:34 2003
+++ 25-akpm/fs/jfs/inode.c	Wed Jul 30 14:16:34 2003
@@ -65,9 +65,6 @@ void jfs_read_inode(struct inode *inode)
 	}
 }
 
-/* This define is from fs/open.c */
-#define special_file(m) (S_ISCHR(m)||S_ISBLK(m)||S_ISFIFO(m)||S_ISSOCK(m))
-
 /*
  * Workhorse of both fsync & write_inode
  */
diff -puN fs/open.c~special_file-move fs/open.c
--- 25/fs/open.c~special_file-move	Wed Jul 30 14:16:34 2003
+++ 25-akpm/fs/open.c	Wed Jul 30 14:16:34 2003
@@ -20,8 +20,7 @@
 #include <linux/mount.h>
 #include <linux/vfs.h>
 #include <asm/uaccess.h>
-
-#define special_file(m) (S_ISCHR(m)||S_ISBLK(m)||S_ISFIFO(m)||S_ISSOCK(m))
+#include <linux/fs.h>
 
 int vfs_statfs(struct super_block *sb, struct kstatfs *buf)
 {
diff -puN include/linux/fs.h~special_file-move include/linux/fs.h
--- 25/include/linux/fs.h~special_file-move	Wed Jul 30 14:16:34 2003
+++ 25-akpm/include/linux/fs.h	Wed Jul 30 14:16:34 2003
@@ -1317,6 +1317,8 @@ static inline void do_generic_file_read(
 
 extern struct file_operations generic_ro_fops;
 
+#define special_file(m) (S_ISCHR(m)||S_ISBLK(m)||S_ISFIFO(m)||S_ISSOCK(m))
+
 extern int vfs_readlink(struct dentry *, char __user *, int, const char *);
 extern int vfs_follow_link(struct nameidata *, const char *);
 extern int page_readlink(struct dentry *, char __user *, int);

_
